SDL_SetSurfaceBlendMode(3)

NAME
SDL_SetSurfaceBlendMode - Set the blend mode used for blit operations.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetSurfaceBlendMode(SDL_Surface *surface, SDL_BlendMode blendMode);

DESCRIPTION
To copy a surface to another surface (or texture) without blending with the existing data, the blendmode of the SOURCE surface should be set to SDL_BLENDMODE_NONE .

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to update

blendMode
    the SDL_BlendMode
     to use for blit blending

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetSurfaceBlendMode(3)